Subject: Re: bug#26797: qemu looks for smbd at /usr/sbin

From: Ricardo Wurmus <[email-masked]>
Date: Sat, 06 May 2017 15:03:51 +0200

Ludovic Courtès <[email-masked]> writes:

> See commit b344c505f4dff2ecbe981f0a0a3c3d67b222dcca, which removed the
> dependency and Samba.  Prior to that commit, QEMU recorded the absolute
> file name of ‘smbd’.
>
> The problem is that Samba is big:
>
> --8<---------------cut here---------------start------------->8---
> $ guix size qemu |tail -1
> total: 710.5 MiB
> $ guix size qemu samba |tail -1
> total: 1203.5 MiB
> --8<---------------cut here---------------end--------------->8---

Right, that’s not good.

> Thus it’d be best if we modified QEMU to search for ‘smbd’ in $PATH.

I agree!  I can’t work on this right now, unfortunately, but I’ll
revisit this at some point in the future if nobody else beats me to it.

Thanks for your input!

--
Ricardo

GPG: BCA6 89B6 3655 3801 C3C6  2150 197A 5888 235F ACAC
https://elephly.net